#CVS_Id $Id: schema.sql,v 1.6 2005/08/19 09:16:54 wy45 Exp $

create database ProjectHistory;

use ProjectHistory;

create table projects (
      project_id int primary key not null auto_increment,
      project_name varchar(80) not null,
      start_date datetime not null,
      end_date datetime)Type = INNODB;

create table jobs (
      job_id int primary key not null auto_increment,
      job_name varchar(80) not null,
      project_id int,
      start_date datetime not null,
      end_date datetime,
      index pro_id(project_id),
      foreign key(project_id) references projects(project_id) on delete cascade)type=INNODB;    

create table facts (
      fact_id int primary key not null auto_increment,
      job_id int,
      name varchar(80) not null, 
      value blob,
      epoch timestamp not null,
      index job_ind(job_id),
      foreign key(job_id) references jobs(job_id) on delete cascade)type=INNODB;

create table dingbats (
      dingbat_id int primary key not null auto_increment,
      job_id int,
      name varchar(80) not null,
      value blob,
      description varchar(80) not null,
      type varchar(80) not null,
      foreign key(job_id) references jobs(job_id) on delete cascade)type=
      INNODB;

